For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomepageProduct HelpLog inTry for Free
Developers HomeAPI ReferenceMCP
Developers HomeAPI ReferenceMCP
  • Getting Started
    • Introduction
    • Authentication with API Keys
    • Authentication with OAuth
    • API Clients
    • Pagination
    • Specifying Fields
    • Filter Parameters
    • HTTP Response Codes
    • Rate Limits
    • Timezone Offsets
    • Rich Text Fields
    • Changelog
  • CRM Core
    • Leads
    • Contacts
    • Opportunities
    • Tasks
    • Files
    • Custom Objects
    • Comments
  • Activities
    • Activities
    • Notes
    • Calls
    • Emails
    • Email Threads
    • WhatsApp Messages
    • Meetings
    • Custom Activities
    • Creations
    • Form Submissions
    • Lead Status Changes
    • Opportunity Status Changes
    • Lead Merges
    • Task Completions
  • Events & Webhooks
    • Webhooks
    • Events
  • Search & Reporting
    • Advanced Filtering
    • Smart Views
    • Reporting
  • Automation & Bulk Actions
    • Sequences (Workflows)
    • Bulk Actions
    • Exports
    • AI Field Enrichment
  • CRM Configuration
    • Custom Fields
      • Custom Field Schemas
        • GETList Custom Object Custom Fields
        • POSTCreate a new Custom Object Custom Field
        • GETFetch Custom Object Custom Field's details
        • PUTUpdate a Custom Object Custom Field
        • DELDelete a Custom Object Custom Field
      • Shared Custom Fields
    • Custom Activity Types
    • Custom Object Types
    • Pipelines
    • Opportunity Statuses
    • Lead Statuses
    • Integration Links
    • Forms
  • Communication Configuration
    • Email Templates
    • SMS Templates
    • Outcomes
    • Playbooks
    • Scheduling Links Guide
    • Scheduling Links
    • Connected Accounts
    • Send As
    • Unsubscribed Emails
    • Phone Numbers
    • Blocked Phone Numbers
    • Dialers
  • Users & Organizations
    • Users
    • Organizations
    • Memberships
    • Roles
    • Groups
Close

Product

OverviewCommunicationAutomationIntegrationsReportingSMSCallingSecurityForms

Pricing & Use Cases

PricingClose vs Other CRMsCustomer Stories

Resources

Sales BlogSales ResourcesSales GuidesWebinarsOn-Demand DemoSales Tools

Company

AboutCareersPartner with CloseBrand GuidelinesTermsPrivacyGDPRCCPA

Get Help

+1-833-GO-CLOSEHelp CenterDownload the Close AppProduct UpdatesSystem Status
LogoLogo
HomepageProduct HelpLog inTry for Free
CRM ConfigurationCustom FieldsCustom Object Custom Fields

Create a new Custom Object Custom Field

||View as Markdown|
POST
https://api.close.com/api/v1/custom_field/custom_object_type/
POST
/api/v1/custom_field/custom_object_type/
$curl -X POST https://api.close.com/api/v1/custom_field/custom_object_type/ \
> -H "Content-Type: application/json" \
> -u "<CLOSE_API_KEY>:" \
> -d '{
> "custom_object_type_id": "cotype_1h5m6uHM9BZOpwVhyRJb4Y",
> "description": "Number of users belonging to this Account.",
> "name": "User Count",
> "required": true,
> "type": "number"
>}'
1{
2 "accepts_multiple_values": false,
3 "created_by": "user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk",
4 "custom_object_type_id": "cotype_1h5m6uHM9BZOpwVhyRJb4Y",
5 "date_created": "2020-08-07T17:11:44.299904",
6 "date_updated": "2020-08-07T17:11:44.299904",
7 "description": "Number of users belonging to this Account.",
8 "editable_with_roles": [],
9 "id": "cf_1nkEcnaoAiTJBfYmTBsOQqFCuIkqc82Q f4yKUx01e0K",
10 "name": "User Count",
11 "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
12 "required": true,
13 "type": "number",
14 "updated_ by": "user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk"
15}
Custom Object Custom Fields belong to Custom Objects, and have additional attributes: - `custom_object_type_id` – the ID of the Custom Object Type this Field should belong to. - `required` – whether the Field will be required to save the object.
Was this page helpful?
Previous

List Custom Object Custom Fields

Next

Fetch Custom Object Custom Field's details

Built with

Custom Object Custom Fields belong to Custom Objects, and have additional attributes:

  • custom_object_type_id – the ID of the Custom Object Type this Field should belong to.
  • required – whether the Field will be required to save the object.

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects any.

Response

Successful response

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error